Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.util
[Java] Class BuildSettingsHolder

    java.lang.Object
      grails.util.BuildSettingsHolder

    public final class BuildSettingsHolder

Static singleton holder for the BuildSettings instance. Should only be initialised once (in GrailsScriptRunner.

Method Summary
`static BuildSettings` | `getSettings()`
`static void` | `setSettings(BuildSettings newSettings)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getSettings

    public static BuildSettings getSettings()

### setSettings

    public static void setSettings(BuildSettings newSettings)

Groovy Documentation